[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoPrepareCanvas

Performs actions needed to prepare the canvas for a drawing operation.

## Declaration

Source position: grids.pas line 1049

`protected procedure TCustomGrid.DoPrepareCanvas(`
`aCol: Integer;`
`aRow: Integer;`
`aState: TGridDrawState`
`); virtual;`

## Arguments

`aCol` |  | Column number for the current cell.
`aRow` |  | Row number for the current cell.
`aState` |  | Drawing state (like selected, focused, fixed) for the current cell.

## Description

DoPrepareCanvas signals the OnPrepareCanvas event handler (when assigned) to prepare the Canvas to draw the specified cell using the specified state. It is called from the PrepareCanvas method, and allows the default actions performed in the caller to be overridden.